cascading.pipe.assembly

## Class Discard

- java.lang.Object
- - cascading.pipe.Pipe
  - - cascading.pipe.SubAssembly
    - - cascading.pipe.assembly.Discard

All Implemented Interfaces:
  FlowElement, ScopedElement, Traceable, java.io.Serializable

    public class Discard
    extends SubAssembly

Class Discard is a `SubAssembly` that will retain all incoming fields except those given on the constructor.

Use this pipe to narrow a stream of tuples, removing unused data.

See Also:
  `Retain`, Serialized Form

### Field Summary

### Fields inherited from class cascading.pipe.Pipe

`configDef, name, nodeConfigDef, parent, stepConfigDef`

### Constructor Summary

Constructors
Constructor and Description
`Discard(Pipe previous, Fields discardFields)`

### Method Summary

### Methods inherited from class cascading.pipe.SubAssembly

`getName, getPrevious, getTailNames, getTails, setPrevious, setTails, unwind`

### Methods inherited from class cascading.pipe.Pipe

`equals, getConfigDef, getHeads, getNodeConfigDef, getParent, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, named, names, outgoingScopeFor, pipes, print, printInternal, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, setParent, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Discard

    @ConstructorProperties(value={"previous","discardFields"})
    public Discard(Pipe previous,
                                 Fields discardFields)